/*
 * routestate.h
 *
 * Function definitions for routestate.c
 *
 * Copyright (c) 2003 Todd MacDermid <tmacd@synacklabs.net>
 *
 */

#ifndef ROUTESTATE_H
#define ROUTESTATE_H
#include "packetp.h"

struct route_node *packetp_route_find(struct packetp_ctx *ctx, struct addr *dest);
int packetp_route_save(struct packetp_ctx *ctx);
void packetp_route_delete(struct packetp_ctx *ctx);
int packetp_route_restore(struct packetp_ctx *ctx);
int packetp_route_clear(struct packetp_ctx *ctx);
void packetp_route_print(struct packetp_ctx *ctx);

#endif /* ROUTESTATE_H */
